#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	redland
Version		:	1.0.17
Release		:	16.2.0.rel%{?dist}
Summary		:	RDF Application Framework
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://download.librdf.org/source 

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	libdb-devel
BuildRequires	:	mariadb
BuildRequires	:	postgresql
BuildRequires	:	rasqal-devel
#-----------------------------------------------------------------------------
%description
'%{name}' is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}		\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_bindir}/rdfproc
%{_bindir}/%{name}-config
%{_bindir}/%{name}-db-upgrade
%{_includedir}/rdf_*.h
%{_includedir}/librdf*.h
%{_includedir}/%{name}.h
%{_libdir}/librdf.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}/librdf_storage_*.so
%{_datadir}/gtk-doc/html/%{name}/*.{html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/%{name}/Redland.i
%{_datadir}/%{name}/mysql-v1.ttl
%{_datadir}/%{name}/mysql-v2.ttl
%{_mandir}/man1/rdfproc.1.gz
%{_mandir}/man1/%{name}-config.1.gz
%{_mandir}/man1/%{name}-db-upgrade.1.gz
%{_mandir}/man3/%{name}.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
